"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const angular_services_1 = require("../data/angular-services");
exports.default = (sources, options) => {
    sources.forEach(source => {
        const functions = source.getFunctions();
        functions.forEach(f => {
            const body = f.getBody();
            const statements = body.getStatements();
            // Find ngInject
            const hasNgInject = statements.some(statement => {
                return statement.getExpression().getText() === "'ngInject'";
            });
            if (!hasNgInject) {
                return;
            }
            // Replace param types if ngInject was found.
            const params = f.getParameters();
            params.forEach(param => {
                const name = param.getName();
                const paramType = angular_services_1.default[name];
                if (!paramType) {
                    return;
                }
                param.setType(paramType);
            });
        });
    });
};
