"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const angular_services_1 = require("../data/angular-services");
exports.default = (sources, options) => {
    sources.forEach(source => {
        const classes = source.getClasses();
        classes.forEach(c => {
            const constructors = c.getConstructors();
            constructors.forEach((constructor) => {
                const params = constructor.getParameters();
                params.forEach(param => {
                    const name = param.getName();
                    const paramType = angular_services_1.default[name];
                    if (!paramType) {
                        return;
                    }
                    param.setType(paramType);
                });
            });
        });
    });
};
